# Spec SwiftSemiGlobalPattern
The specialization for the semi-global swift filter that finds regions of the haystack where a needle matches with an error rate less than \epsilon.

Extends | SwiftPattern
All Extended | Pattern, SwiftPattern
Defined in | <seqan/index.h>
Signature | `template <typename TIndex> class Pattern<TIndex, Swift<SwiftSemiGlobal> >;`

## Template Parameters

`TIndex` | A q-gram index of needle(s).

## Interface Function Overview

### Interface Functions Inherited From Pattern

- `getBeginScore`
- `host`
- `needle`
- `position`
- `scoringScheme`
- `setNeedle`
- `setScoringScheme`

### Interface Functions Inherited From SwiftPattern

- `beginPosition`
- `endPosition`
- `getMaxDeviationOfOrder`
- `positionRange`
- `positionRangeNoClip`
- `setMinThreshold`

## Interface Metafunction Overview

### Interface Metafunctions Inherited From Pattern

- `Container`
- `Difference`
- `Host`
- `Needle`
- `PexMultiFinder`
- `Position`
- `ScoringScheme`
- `Size`
- `Value`

## Member Variable Overview

### Member Variables Inherited From SwiftPattern

- `parameters`

#### Dox Sources

    /*!
     * @class SwiftSemiGlobalPattern
     *
     * @extends SwiftPattern
     *
     * @headerfile <seqan/index.h>
     *
     * @brief The specialization for the semi-global swift filter that finds regions
     *        of the haystack where a needle matches with an error rate less than
     *        \epsilon.
     *
     * @signature template <typename TIndex> class Pattern<TIndex,
     *            Swift<SwiftSemiGlobal> >;
     *
     * @tparam TIndex A @link IndexQGram q-gram index @endlink of needle(s).
     */